UpdateTimestampsCache (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.spi
Class UpdateTimestampsCache

    java.lang.Object
      org.hibernate.cache.spi.UpdateTimestampsCache

    public class UpdateTimestampsCache

extends Object

Tracks the timestamps of the most recent updates to particular tables. It is important that the cache timeout of the underlying cache implementation be set to a higher value than the timeouts of any of the query caches. In fact, we recommend that the the underlying cache not be configured for expiry at all. Note, in particular, that an LRU cache expiry policy is never appropriate.

Field Summary
`static String` | `REGION_NAME`

Constructor Summary
`UpdateTimestampsCache(Settings settings, Properties props)`
`UpdateTimestampsCache(Settings settings, Properties props, SessionFactoryImplementor factory)`

Method Summary
`void` | `clear()`
`void` | `destroy()`
`TimestampsRegion` | `getRegion()`
`void` | `invalidate(Serializable[] spaces)`
`boolean` | `isUpToDate(Set spaces, Long timestamp)`
`void` | `preinvalidate(Serializable[] spaces)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REGION_NAME

    public static final String REGION_NAME

Constructor Detail

### UpdateTimestampsCache

    public UpdateTimestampsCache(Settings settings,
                                 Properties props,
                                 SessionFactoryImplementor factory)
                          throws HibernateException

Throws:
  `HibernateException`

### UpdateTimestampsCache

    public UpdateTimestampsCache(Settings settings,
                                 Properties props)
                          throws HibernateException

Throws:
  `HibernateException`

Method Detail

### preinvalidate

    public void preinvalidate(Serializable[] spaces)
                       throws CacheException

  Throws:
    `CacheException`

### invalidate

    public void invalidate(Serializable[] spaces)
                    throws CacheException

  Throws:
    `CacheException`

### isUpToDate

    public boolean isUpToDate(Set spaces,
                              Long timestamp)
                       throws HibernateException

  Throws:
    `HibernateException`

### clear

    public void clear()
               throws CacheException

  Throws:
    `CacheException`

### destroy

    public void destroy()

### getRegion

    public TimestampsRegion getRegion()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.